Package ru.bitel.bgbilling.plugins.dispatch.server.dao

# Class DispatchFileStorageDao

java.lang.Object
ru.bitel.bgbilling.plugins.dispatch.server.dao.DispatchFileStorageDao

    public class DispatchFileStorageDao
    extends java.lang.Object

DAO для работы с файлами рассылок. Вместо работы с этим DAO рекомендуется работать с `DispatchService`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `DispatchFileStorageDao​(java.sql.Connection con, ru.bitel.bgbilling.kernel.plugin.server.BGPluginServer plugin)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `void` | `deleteByObject​(Id o)` | Удаляет все файлы, привязанные к данной сущности
  `void` | `deleteFile​(int fileId)` | Удаление файла с указанным кодом
  `javax.activation.DataSource` | `getDataSource​(BGServerFile serverFile)` |
  `java.io.FileInputStream` | `getFileInputStream​(int fileId)` | Возврвщает поток для чтения файла с указанным кодом
  `java.util.List<BGServerFile>` | `getFileList​(Id object)` | Возвращает список всех привязанных к данной сущности файлов
  `BGServerFile` | `getServerFile​(int fileId)` | Возвращает BGServerFile для данного кода файла
  `BGServerFile` | `uploadFile​(Id object, java.lang.String fileName, byte[] fileData)` | Загрузить файл, привязанный к данной сущности

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DispatchFileStorageDao

    public DispatchFileStorageDao​(java.sql.Connection con, ru.bitel.bgbilling.kernel.plugin.server.BGPluginServer plugin) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

- ## Method Details

  - ### uploadFile

    public BGServerFile uploadFile​(Id object, java.lang.String fileName, byte[] fileData) throws ru.bitel.bgbilling.common.BGException
    Загрузить файл, привязанный к данной сущности
    Parameters:
      `object` - сущность плагина рассылок
      `fileName` - имя файла
      `fileData` - содержимое файла
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### deleteFile

    public void deleteFile​(int fileId) throws ru.bitel.bgbilling.common.BGException
    Удаление файла с указанным кодом
    Parameters:
      `fileId` -
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getFileInputStream

    public java.io.FileInputStream getFileInputStream​(int fileId) throws java.io.IOException
    Возврвщает поток для чтения файла с указанным кодом
    Parameters:
      `fileId` -
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `java.io.IOException`

  - ### getServerFile

    public BGServerFile getServerFile​(int fileId) throws ru.bitel.bgbilling.common.BGException
    Возвращает BGServerFile для данного кода файла
    Parameters:
      `fileId` -
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getFileList

    public java.util.List<BGServerFile> getFileList​(Id object) throws ru.bitel.bgbilling.common.BGException
    Возвращает список всех привязанных к данной сущности файлов
    Parameters:
      `object` -
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### deleteByObject

    public void deleteByObject​(Id o) throws ru.bitel.bgbilling.common.BGException
    Удаляет все файлы, привязанные к данной сущности
    Parameters:
      `o` -
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getDataSource

    public javax.activation.DataSource getDataSource​(BGServerFile serverFile)